Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 775125 (CVE-2020-35521, CVE-2020-35522, CVE-2020-35523, CVE-2020-35524) - <media-libs/tiff-4.2.0: Multiple vulnerabilities (CVE-2020-{35521,35522,35523,35524})
Summary: <media-libs/tiff-4.2.0: Multiple vulnerabilities (CVE-2020-{35521,35522,35523...
Status: RESOLVED FIXED
Alias: CVE-2020-35521, CVE-2020-35522, CVE-2020-35523, CVE-2020-35524
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-09 20:49 UTC by Sam James
Modified: 2021-05-01 00:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-03-09 20:49:21 UTC
* CVE-2020-35524

Description:
"A heap-based buffer overflow flaw was found in libtiff in the handling of TIFF images in libtiff's TIFF2PDF tool. A specially crafted TIFF file can lead to arbitrary code execution. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability."

* CVE-2020-35523

Description:
"An integer overflow flaw was found in libtiff that exists in the tif_getimage.c file. This flaw allows an attacker to inject and execute arbitrary code when a user opens a crafted TIFF file. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability."

* CVE-2020-35522

Description:
"In LibTIFF, there is a memory malloc failure in tif_pixarlog.c. A crafted TIFF document can lead to an abort, resulting in a remote denial of service attack."

* CVE-2020-35521

Description:
"A flaw was found in libtiff. Due to a memory allocation failure in tif_read.c, a crafted TIFF file can lead to an abort, resulting in denial of service."
Comment 1 Thomas Deutschmann gentoo-dev Security 2021-04-30 23:10:43 UTC
New GLSA request filed.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:02:02 UTC
This issue was resolved and addressed in
 GLSA 202104-06 at https://security.gentoo.org/glsa/202104-06
by GLSA coordinator Thomas Deutschmann (whissi).